unit hiIsRange;

interface

uses Kol,Share,Debug;

type
  THIIsRange = class(TDebug)
   private
    intMin,intMax,intDt:integer;
    dblMin,dblMax,dblDt:Real;
   public
    _prop_Min:real;
    _prop_Max:real;
    _prop_Type:byte;

    _event_onNo:THI_Event;
    _event_onYes:THI_Event;
    _data_Max:THI_Event;
    _data_Min:THI_Event;

    procedure _work_doIsRange(var _Data:TData; Index:word);
  end;

implementation

procedure THIIsRange._work_doIsRange;
begin
  case _prop_Type of
    0: begin
         intDt  := ToInteger(_Data);
         intMin := ReadInteger(_Data,_data_Min,Integer(Round(_prop_Min)));
         intMax := ReadInteger(_Data,_data_Max,Integer(Round(_prop_Max)));
         if (intDt >= intMin) and (intDt <= intMax) then
           _hi_onEvent(_event_onYes, intDt) else  _hi_onEvent(_event_onNo, intDt);
       end;
    1: begin
         dblDt  := ToReal(_Data);
         dblMin := ReadReal(_Data,_data_Min,_prop_Min);
         dblMax := ReadReal(_Data,_data_Max,_prop_Max);
         if (dblDt >= dblMin) and (dblDt <= dblMax) then
           _hi_onEvent(_event_onYes, dblDt) else  _hi_onEvent(_event_onNo, dblDt);
       end;
  end;
end;

end.
